MSGCMP(1)

BEZEICHNUNG
msgcmp - Meldungskatalog und Vorlage vergleichen

ÜBERSICHT
msgcmp [OPTION] def.po ref.pot

BESCHREIBUNG

Vergleicht zwei .po-Dateien im Uniforum-Stil, um zu bestimmen, ob beide die gleichen »msgid«-Zeichenketten enthalten. Die Datei def.po ist eine existierende PO-Datei mit den Übersetzungen. Die Datei ref.pot ist die zuletzt erstellte PO-Datei oder eine PO-Vorlagendatei (im Allgemeinen mit xgettext(1) erstellt). Damit können Sie überprüfen, ob Sie tatsächlich alle Meldungen in Ihrem Programm übersetzt haben. Wo kein exakter Treffer gefunden werden kann, wird eine unscharfe Suchlogik (»fuzzy«) angewendet, um bessere Diagnosemeldungen zu erhalten.

Die zwingend erforderlichen Argumente für Optionen sind für deren Kurz- und Langform gleich.

  Orte der Eingabedateien:

def.po
    Übersetzungen

ref.pot
    Referenzen zu den Quellen

-D, --directory=VERZEICHNIS
    fügt das angegebene VERZEICHNIS zur Liste hinzu, in der nach Eingabedateien gesucht wird.

  Optionen:

-m, --multi-domain
    wendet ref.po auf jede der Domains in def.po an.

-N, --no-fuzzy-matching
    verwendet keine unscharfe Vergleichslogik (»fuzzy«).

--use-fuzzy
    beachtet »fuzzy«-Einträge.

--use-untranslated
    beachtet unübersetzte Einträge.

  Syntax der Eingabedatei:

-P, --properties-input
    Eingabedateien folgen der .properties-Syntax von Java.

--stringtable-input
    Eingabedateien folgen der .strings-Syntax von NeXTstep/GNUstep.

  Informative Ausgabe:

-h, --help
    zeigt Hilfeinformationen an und beendet das Programm.

-V, --version
    gibt Versionsinformationen aus und beendet das Programm.

AUTOR
Geschrieben von Peter Miller.

FEHLER MELDEN
Melden Sie Fehler im Fehlererfassungssystem auf https://savannah.gnu.org/projects/gettext oder per E-Mail an bug-gettext@gnu.org (jeweils auf Englisch).

COPYRIGHT
Copyright © 1995-2024 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für msgcmp wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und msgcmp auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info msgcmp

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.